Subject: bug#9366: Display geometry change hook

From: martin rudalics <[email-masked]>
Date: Sun, 20 Sep 2020 14:24:10 +0200

> So this is only about switching to a different display?

A different geometry but still on the same display IIUC.

 > And you are
 > saying that Emacs in general doesn't know about such display changes?

I don't know.  Are we already informed when the user plugs in a new
display?

 > Would it work to test the display geometry from focus-in-hook?

Sounds expensive (BTW 'focus-in-hook' is obsolete since 27.1).  And what
about a user who currently has no frame on that display but might
consider switching to it when its geometry meets certain requirements?

 > Or
 > from a timer?

To poll the geometry?  Sounds much too expensive too.  If and when the
underlying windowing system informs us of display changes, I would just
react to them.  What's speaking against it?

martin